PICOTOOL-UF2-CONVERT(1)

NAME
picotool-uf2-convert - Convert ELF/BIN to UF2.

SYNOPSIS
picotool uf2 convert [--quiet] [--verbose] <infile> [-t <type>] <outfile> [-t <type>] [-o <offset>] [--family <family_id>] [--platform <platform>] [[--abs-block] [<abs_block_loc>]]

OPTIONS

--quiet
    Don’t print any output

--verbose
    Print verbose output

File to load from

<infile>
    The file name

-t <type>
    Specify file type (uf2 | elf | bin) explicitly, ignoring fileextension

File to save UF2 to

<outfile>
    The file name

-t <type>
    Specify file type (uf2) explicitly, ignoring file extension

Packaging Options

-o, --offset
    Specify the load address

<offset>
    Load offset (memory address; default 0x10000000 for BIN file)

UF2 Family options

<family_id>
    family ID for UF2

Platform options

<platform>
    optional platform for memory verification (eg rp2040, rp2350)

Errata RP2350-E10 Fix

--abs-block
    Add an absolute block

<abs_block_loc>
    absolute block location (default to 0x10ffff00)